# Package org.jboss.logging.processor.apt

Class Summary
AbstractGenerator: An abstract processor used process annotations.
LoggingToolsProcessor: The main annotation processor for JBoss Logging Tooling.
MessageInterfaceFactory: A factory to create a `MessageInterface` for annotation processors.
ReportFileGenerator: Generates reports for logging interfaces and message bundles.
ToolLogger: A logger for logging messages for annotation processors.

Exception Summary
ProcessingException: An exception that can be used to log which element caused the error.